#modal-btn{
    cursor: pointer;
  }
.modal{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: 100vh;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out;
  z-index: 100;
}
.modal.active {
  opacity: 1;
  pointer-events: auto;
}
.modal-video-container{
  display: flex;
  justify-content: center;
}

.modal-container {
  position: fixed;
  top: -100%;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  background-color: #fff;
  padding: 10px;
  max-width: 60vw;
  border-radius: .27rem;
  opacity: 0;
  pointer-events: none;
  transition: top 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.modal-container.active {
  top: 10%;
  opacity: 1;
  pointer-events: auto;
}

.modal-header{
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #ccc;
  padding: 10px;

}
.modal-container .modal-header .modal-title{
  font-size: 2rem;
  font-weight: 600;
}
.modal-body{
  margin: 16px 0;
  overflow-y: auto;
}
.modal-body .product .data-list{
  height: 200px !important;
  flex-direction: column !important;
}
.modal-body .product {
  overflow-y: auto;
  height: 600px;
}

.modal-body .product::-webkit-scrollbar-track{
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);*/
    border-radius:0;
    background-color: var(--color-scrollbar-1);
}

.modal-body .product::-webkit-scrollbar{
    width: 6px;
    background-color: var(--color-scrollbar-1);
}

.modal-body .product::-webkit-scrollbar-thumb{
    border-radius:0;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: var(--color-scrollbar-2);
}
.modal-close{
  cursor: pointer;
  color: red;
  font-size: 18px;
}
.excluir-modal{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.excluir-modal button{
  border: none;
  border-radius: 0.25rem;
  color: var(--color-white);
}
.modal-body .cancelar{
  background-color: var(--color-error);
}
.modal-body .confirma{
  background-color: var(--color-success);
}
.modal-container{
  width: 100%;
}
.modal-container form{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.modal-container input,
.modal-container select{
  padding: 10px;
  width: 100%;
  margin: 10px 0 !important;
}
.modal-container .form-group .input-group{
  margin: 10px 0 !important;
}
.modal-container .form-group .input-group input{
  margin: 0 !important;
}
.modal-container button{
  cursor: pointer;
  border: none;
  border-radius: 10px;
  background-color: var(--add-color);
  padding: 10px;
  color: var(--color-white);
  width: 300px;
  margin: 0 10px;
}